Package com.google.protobuf

# Class DescriptorProtos.UninterpretedOption.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>
com.google.protobuf.DescriptorProtos.UninterpretedOption.Builder

All Implemented Interfaces:
  `DescriptorProtos.UninterpretedOptionOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.UninterpretedOption`

public static final class DescriptorProtos.UninterpretedOption.Builder extends GeneratedMessage.Builder<DescriptorProtos.UninterpretedOption.Builder> implements DescriptorProtos.UninterpretedOptionOrBuilder
Protobuf type `google.protobuf.UninterpretedOption`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.UninterpretedOption.Builder`
`addAllName(Iterable<? extends DescriptorProtos.UninterpretedOption.NamePart> values)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addName(int index, DescriptorProtos.UninterpretedOption.NamePart value)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addName(int index, DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addName(DescriptorProtos.UninterpretedOption.NamePart value)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addName(DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.NamePart.Builder`
`addNameBuilder()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.NamePart.Builder`
`addNameBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.UninterpretedOption`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.UninterpretedOption.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.UninterpretedOption.Builder`
`clearAggregateValue()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`clearDoubleValue()`
`optional double double_value = 6 [json_name = "doubleValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`clearIdentifierValue()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`clearName()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`clearNegativeIntValue()`
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`clearPositiveIntValue()`
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`clearStringValue()`
`optional bytes string_value = 7 [json_name = "stringValue"];`
`String`
`getAggregateValue()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`ByteString`
`getAggregateValueBytes()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`DescriptorProtos.UninterpretedOption`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`double`
`getDoubleValue()`
`optional double double_value = 6 [json_name = "doubleValue"];`
`String`
`getIdentifierValue()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`ByteString`
`getIdentifierValueBytes()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`DescriptorProtos.UninterpretedOption.NamePart`
`getName(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.NamePart.Builder`
`getNameBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`List<DescriptorProtos.UninterpretedOption.NamePart.Builder>`
`getNameBuilderList()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`int`
`getNameCount()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`List<DescriptorProtos.UninterpretedOption.NamePart>`
`getNameList()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.NamePartOrBuilder`
`getNameOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder>`
`getNameOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`long`
`getNegativeIntValue()`
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`
`long`
`getPositiveIntValue()`
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`
`ByteString`
`getStringValue()`
`optional bytes string_value = 7 [json_name = "stringValue"];`
`boolean`
`hasAggregateValue()`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`boolean`
`hasDoubleValue()`
`optional double double_value = 6 [json_name = "doubleValue"];`
`boolean`
`hasIdentifierValue()`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`boolean`
`hasNegativeIntValue()`
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`
`boolean`
`hasPositiveIntValue()`
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`
`boolean`
`hasStringValue()`
`optional bytes string_value = 7 [json_name = "stringValue"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.UninterpretedOption.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.UninterpretedOption.Builder`
`mergeFrom(DescriptorProtos.UninterpretedOption other)`
`DescriptorProtos.UninterpretedOption.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.UninterpretedOption.Builder`
`removeName(int index)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setAggregateValue(String value)`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setAggregateValueBytes(ByteString value)`
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setDoubleValue(double value)`
`optional double double_value = 6 [json_name = "doubleValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setIdentifierValue(String value)`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setIdentifierValueBytes(ByteString value)`
`optional string identifier_value = 3 [json_name = "identifierValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setName(int index, DescriptorProtos.UninterpretedOption.NamePart value)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setName(int index, DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setNegativeIntValue(long value)`
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setPositiveIntValue(long value)`
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`
`DescriptorProtos.UninterpretedOption.Builder`
`setStringValue(ByteString value)`
`optional bytes string_value = 7 [json_name = "stringValue"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`

### clear

public DescriptorProtos.UninterpretedOption.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.UninterpretedOption getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.UninterpretedOption build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.UninterpretedOption buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.UninterpretedOption.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`

### mergeFrom

public DescriptorProtos.UninterpretedOption.Builder mergeFrom(DescriptorProtos.UninterpretedOption other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`

### mergeFrom

public DescriptorProtos.UninterpretedOption.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getNameList

public List<DescriptorProtos.UninterpretedOption.NamePart> getNameList()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

Specified by:
  `getNameList` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

### getNameCount

public int getNameCount()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

Specified by:
  `getNameCount` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

### getName

public DescriptorProtos.UninterpretedOption.NamePart getName(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

### setName

public DescriptorProtos.UninterpretedOption.Builder setName(int index, DescriptorProtos.UninterpretedOption.NamePart value)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### setName

public DescriptorProtos.UninterpretedOption.Builder setName(int index, DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### addName

public DescriptorProtos.UninterpretedOption.Builder addName(DescriptorProtos.UninterpretedOption.NamePart value)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### addName

public DescriptorProtos.UninterpretedOption.Builder addName(int index, DescriptorProtos.UninterpretedOption.NamePart value)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### addName

public DescriptorProtos.UninterpretedOption.Builder addName(DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### addName

public DescriptorProtos.UninterpretedOption.Builder addName(int index, DescriptorProtos.UninterpretedOption.NamePart.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### addAllName

public DescriptorProtos.UninterpretedOption.Builder addAllName(Iterable<? extends DescriptorProtos.UninterpretedOption.NamePart> values)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### clearName

public DescriptorProtos.UninterpretedOption.Builder clearName()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### removeName

public DescriptorProtos.UninterpretedOption.Builder removeName(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getNameBuilder

public DescriptorProtos.UninterpretedOption.NamePart.Builder getNameBuilder(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getNameOrBuilder

public DescriptorProtos.UninterpretedOption.NamePartOrBuilder getNameOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

Specified by:
  `getNameOrBuilder` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

### getNameOrBuilderList

public List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder> getNameOrBuilderList()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

Specified by:
  `getNameOrBuilderList` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

### addNameBuilder

public DescriptorProtos.UninterpretedOption.NamePart.Builder addNameBuilder()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### addNameBuilder

public DescriptorProtos.UninterpretedOption.NamePart.Builder addNameBuilder(int index)
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### getNameBuilderList

public List<DescriptorProtos.UninterpretedOption.NamePart.Builder> getNameBuilderList()
`repeated .google.protobuf.UninterpretedOption.NamePart name = 2 [json_name = "name"];`

### hasIdentifierValue

public boolean hasIdentifierValue()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Specified by:
  `hasIdentifierValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  Whether the identifierValue field is set.

### getIdentifierValue

public String getIdentifierValue()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Specified by:
  `getIdentifierValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The identifierValue.

### getIdentifierValueBytes

public ByteString getIdentifierValueBytes()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Specified by:
  `getIdentifierValueBytes` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The bytes for identifierValue.

### setIdentifierValue

public DescriptorProtos.UninterpretedOption.Builder setIdentifierValue(String value)
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Parameters:
  `value` - The identifierValue to set.
Returns:
  This builder for chaining.

### clearIdentifierValue

public DescriptorProtos.UninterpretedOption.Builder clearIdentifierValue()
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Returns:
  This builder for chaining.

### setIdentifierValueBytes

public DescriptorProtos.UninterpretedOption.Builder setIdentifierValueBytes(ByteString value)
`optional string identifier_value = 3 [json_name = "identifierValue"];`

Parameters:
  `value` - The bytes for identifierValue to set.
Returns:
  This builder for chaining.

### hasPositiveIntValue

public boolean hasPositiveIntValue()
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`

Specified by:
  `hasPositiveIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  Whether the positiveIntValue field is set.

### getPositiveIntValue

public long getPositiveIntValue()
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`

Specified by:
  `getPositiveIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The positiveIntValue.

### setPositiveIntValue

public DescriptorProtos.UninterpretedOption.Builder setPositiveIntValue(long value)
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`

Parameters:
  `value` - The positiveIntValue to set.
Returns:
  This builder for chaining.

### clearPositiveIntValue

public DescriptorProtos.UninterpretedOption.Builder clearPositiveIntValue()
`optional uint64 positive_int_value = 4 [json_name = "positiveIntValue"];`

Returns:
  This builder for chaining.

### hasNegativeIntValue

public boolean hasNegativeIntValue()
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`

Specified by:
  `hasNegativeIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  Whether the negativeIntValue field is set.

### getNegativeIntValue

public long getNegativeIntValue()
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`

Specified by:
  `getNegativeIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The negativeIntValue.

### setNegativeIntValue

public DescriptorProtos.UninterpretedOption.Builder setNegativeIntValue(long value)
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`

Parameters:
  `value` - The negativeIntValue to set.
Returns:
  This builder for chaining.

### clearNegativeIntValue

public DescriptorProtos.UninterpretedOption.Builder clearNegativeIntValue()
`optional int64 negative_int_value = 5 [json_name = "negativeIntValue"];`

Returns:
  This builder for chaining.

### hasDoubleValue

public boolean hasDoubleValue()
`optional double double_value = 6 [json_name = "doubleValue"];`

Specified by:
  `hasDoubleValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  Whether the doubleValue field is set.

### getDoubleValue

public double getDoubleValue()
`optional double double_value = 6 [json_name = "doubleValue"];`

Specified by:
  `getDoubleValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The doubleValue.

### setDoubleValue

public DescriptorProtos.UninterpretedOption.Builder setDoubleValue(double value)
`optional double double_value = 6 [json_name = "doubleValue"];`

Parameters:
  `value` - The doubleValue to set.
Returns:
  This builder for chaining.

### clearDoubleValue

public DescriptorProtos.UninterpretedOption.Builder clearDoubleValue()
`optional double double_value = 6 [json_name = "doubleValue"];`

Returns:
  This builder for chaining.

### hasStringValue

public boolean hasStringValue()
`optional bytes string_value = 7 [json_name = "stringValue"];`

Specified by:
  `hasStringValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  Whether the stringValue field is set.

### getStringValue

public ByteString getStringValue()
`optional bytes string_value = 7 [json_name = "stringValue"];`

Specified by:
  `getStringValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The stringValue.

### setStringValue

public DescriptorProtos.UninterpretedOption.Builder setStringValue(ByteString value)
`optional bytes string_value = 7 [json_name = "stringValue"];`

Parameters:
  `value` - The stringValue to set.
Returns:
  This builder for chaining.

### clearStringValue

public DescriptorProtos.UninterpretedOption.Builder clearStringValue()
`optional bytes string_value = 7 [json_name = "stringValue"];`

Returns:
  This builder for chaining.

### hasAggregateValue

public boolean hasAggregateValue()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Specified by:
  `hasAggregateValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  Whether the aggregateValue field is set.

### getAggregateValue

public String getAggregateValue()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Specified by:
  `getAggregateValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The aggregateValue.

### getAggregateValueBytes

public ByteString getAggregateValueBytes()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Specified by:
  `getAggregateValueBytes` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`
Returns:
  The bytes for aggregateValue.

### setAggregateValue

public DescriptorProtos.UninterpretedOption.Builder setAggregateValue(String value)
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Parameters:
  `value` - The aggregateValue to set.
Returns:
  This builder for chaining.

### clearAggregateValue

public DescriptorProtos.UninterpretedOption.Builder clearAggregateValue()
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Returns:
  This builder for chaining.

### setAggregateValueBytes

public DescriptorProtos.UninterpretedOption.Builder setAggregateValueBytes(ByteString value)
`optional string aggregate_value = 8 [json_name = "aggregateValue"];`

Parameters:
  `value` - The bytes for aggregateValue to set.
Returns:
  This builder for chaining.